{% extends 'base.html' %}
{% load django_bootstrap5 %}
{% load static %}

{% block title %}
Planeks | Schema
{% endblock %}
{% block content %}
<script src="{% static 'js/schema_form.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'css/schema_form.css' %}">
<div class="container">
    <form class="schema-form" method="post">
        {% csrf_token %}
        <div class="row">
            <div class="col">
                {% bootstrap_form form %}
            </div>
            <div class="col">
                {% bootstrap_button button_type="submit" content="Submit" size=md extra_classes="float-end bg-success" %}
            </div>
        </div>
        <section class="columns">
            {{ columns.management_form }}
            {% for column in columns %}
            <div class="row column {% if forloop.last %}add-new{% endif %}">
                {% bootstrap_form column layout='vertical' wrapper_class='col' %}
                {% if forloop.last %}
                <div class="row">
                    <div class="col-10 float-center p-4">
                        {% bootstrap_button button_type="button" content="Add Column" size=md extra_classes='add-btn' %}
                    </div>
                </div>
                {% endif %}
            </div>
            {% endfor %}
        </section>

    </form>
</div>
{% endblock content %}
